Package ghidra.app.util.bin.format.pe.cli.tables

# Class CliTableEvent

java.lang.Object
ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTable
ghidra.app.util.bin.format.pe.cli.tables.CliTableEvent

All Implemented Interfaces:
  `PeMarkupable`, `StructConverter`

public class CliTableEvent extends CliAbstractTable
Describes the Event table. Each row represents an event. References to this table are to contiguous runs of events. The "run" begins at the specified index and ends at the next place a reference from EventMap points, or the end of this table.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `CliTableEvent.CliEventRow`

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTable

  `blobs, metadataStream, numRows, PATH, readerOffset, rows, strings, tableType, userStrings`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliTableEvent(BinaryReader reader, CliStreamMetadata stream, CliTypeTable tableId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StructureDataType`
  `getRowDataType()`
  Gets the data type of a row in this table.

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTable

  `getNumRows, getRow, getRowRepresentationSafe, getRowShortRepSafe, getRowSize, getTableSize, getTableType, markup, readBlobIndex, readGuidIndex, readStringIndex, readTableIndex, toDataType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CliTableEvent

    public CliTableEvent(BinaryReader reader, CliStreamMetadata stream, CliTypeTable tableId) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getRowDataType

    public StructureDataType getRowDataType()
    Description copied from class: `CliAbstractTable`
    Gets the data type of a row in this table.
    Specified by:
      `getRowDataType` in class `CliAbstractTable`
    Returns:
      The data type of a row in this table.